{
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft.AspNetCore": "Warning"
    }
  },
  "Serilog": {
    "Using": [
      "Serilog.Sinks.Console",
      "Serilog.Sinks.File",
      "Serilog.Exceptions",
      "Serilog.Expressions",
      "Serilog.Enrichers.Thread"
    ],
    "Enrich": [
      "WithExceptionDetails",
      "WithDynamicProperty",
      "WithThreadId"
    ],
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "adas_core": "Debug",
        "EasyNetQ": "Information",
        "Quartz": "Information",
        "Microsoft": "Warning",
        "System": "Error"
      }
    },
    "WriteTo": [
      {
        "Name": "Console",
        "Args": {
          /*"formatter": {
            "type": "Serilog.Templates.ExpressionTemplate, Serilog.Expressions",
            "template": "{@t:yyyy-MM-dd HH:mm:ss} [{@l:u3}]{#if SourceContext is not null} ({SourceContext,35}){#end}: {@m}\n{@x}"
          },*/
          "theme": "Serilog.Sinks.SystemConsole.Themes.SystemConsoleTheme::Grayscale, Serilog.Sinks.Console"
        }
      },
      {
        "Name": "File",
        "Args": {
          "path": "Logs/.log",
          "formatter": {
            "type": "Serilog.Templates.ExpressionTemplate, Serilog.Expressions",
            "template": "{@t:yyyy-MM-dd HH:mm:ss} [{@l:u3}]{#if SourceContext is not null} ({#if Length(SourceContext) > 35}{Substring(SourceContext, Length(SourceContext) - 35)}{#else}{SourceContext,35}{#end}){#end}: {@m}{#if TraceId is not null} TraceId: {TraceId}{#end}{#if TraceMessageId is not null} TraceMessageId: {TraceMessageId}{#end} TraceIdentifier: {TraceIdentifier} Thread: {ThreadId} \n{@x}"
          },
          //"outputTemplate": "[{Timestamp:o}] [{Level:u}] [{SourceContext:l}] {Message}{NewLine}{Exception}",
          "rollingInterval": 4,
          //0: Infinite, 1: Year, 2: Month, 3: Day, 4: Hour, 5: Minute
          "retainedFileCountLimit": 72,
          // 3 days
          "rollOnFileSizeLimit": true
          //"fileSizeLimitBytes": 20971520 // 20Mb
        }
      }
    ],
    "Properties": {
      "Application": "ADASCORE"
    }
  },
  "AllowedHosts": "*",
  "DatabaseSettings": {
    //develop
    "ConnectionString": "mongodb://smacsuci:2(R*aQpu2r@10.0.20.67:18888/?authSource=admin&maxPoolSize=200&connectTimeoutMS=10000&socketTimeoutMS=30000",
    //prod
    //"ConnectionString": "mongodb://smacsuci:2(R*aQpu2r@localhost:27017/?maxConnectionPoolSize=1000&waitQueueSize=100000&connectTimeoutMS=10000",
    //"DatabaseName": "meddiscore"
    "DatabaseName": "CHUO_dev"
    //"DatabaseName": "MedDisCore_CHUO"
  },
  "RabbitMQSettings": {
    //dev
    "ConnectionString": "host=10.0.20.241;port=8889;username=smacs;password=smacs!;publisherConfirms=true;timeout=30",
    //prod
    //"ConnectionString": "host=localhost;port=5672;username=smacsuci;password=2(R*aQpu2r;publisherConfirms=true;timeout=30",
    "PatientsQueue": "patients",
    "ObservationsQueue": "observations",
    "AlarmObservationQueue": "alarms",
    "MaxRetries": 1
  },
  "ApiSettings": {
    "Customize": "CHUO",
    "PointOfCareMapping": {
      "Key": "PV1",
      "Required": true,
      "Refresh": 600
    },
    "ConfigObservation": {
      "Key": "PV1",
      "IgnoreUnknownObservation": true,
      "IgnoreUnknownTreatment": false,
      "Refresh": 60
    },
    "RetentionPolicy": "NoDelete",
    "RetentionPolicyValue": 0,
    "CreatePatientWithORU": true,
    "CreatePatientWithSIU": true,
    "CreatePatientWithoutLocation": false,
    "CreatePatientWithADT_A08": true,
    "UpdatePatientDataWithORU": false,
    "UpdatePatientLocationWithORU": false,
    "ArchivePatientWithOru": true,
    "UpdatePatientNumberWithOru": false,
    "OnArchivePatientAction": "Archive",
    "ActivateCheckInactivePatients": true,
    "ArchivePatientsWithoutObservationsSinceHours": 24,
    "CheckInactivePatientSchedulerIntervalHours": 24,
    "ActivateSchedulerCheckNewsJob": false,
    "SinceDischargeTimeToArchive": 48,
    "FindPatientByLocationWithoutID": false,
    "PersistObservationCodes": true,
    "IccaFacility": "Philips.CIS.CVC",
    "SendingFacility": [
      "obs",
      "UMS"
    ],
    //"SendingFacility": [ "LABORATORIO" ],
    "AllergiesCode": [
      "473011001"
    ],
    "DrainageCode": [
      "56868008"
    ],
    "PositionCode": [
      "386053000"
    ],
    "IsolationCode": [
      "302147001"
    ],
    "HighFrequencyVentilation": [
      "HNF",
      "HIGH FLOW"
    ],
    "InvasiveVentilation": [
      "67303831",
      "67303912"
    ],
    "NonInvasiveVentilation": [
      "BIPAP",
      "CPAP"
    ],
    "ConfigObservationRefresh": 60,
    "ConfigUnitsRequired": false,
    "ActivateSchedulerCheckExpiredObservation": false,
    "PathUpdateFiles": [
      "C:",
      "Standard_Files",
      "UploadFromServer"
    ]
  },
  "ProxyDevicesSettings": [
    {
      "id": "cam2",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.70/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 2",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam4",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.69/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 4",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam6",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.68/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 6",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam8",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.67/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 8",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam10",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.66/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 10",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam12",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.65/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 12",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam14",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.64/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 14",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam16",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.63/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 16",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam18",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.61/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 18",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam20",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.62/axis-cgi/jpg/image.cgi?camera=1",
        "name": "Camera 20",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam2-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.70/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 2",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam4-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.69/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 4",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam6-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.68/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 6",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam8-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.67/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 8",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam10-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.66/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 10",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam12-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.65/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 12",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam14-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.64/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 14",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam16-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.63/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 16",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam18-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.61/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 18",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    },
    {
      "id": "cam20-mjpg",
      "type": "Http",
      "parameters": {
        "url": "http://69.136.185.62/axis-cgi/mjpg/video.cgi?camera=1",
        "name": "Camera 20",
        "username": "adas",
        "password": "2cD1.743$g0*"
      }
    }
  ]
}
